#pragma once
#include <SPI.h>
#include <MFRC522.h>
class Rfid
{
private:
    MFRC522 mfrc522; // Create MFRC522 instance
    MFRC522::MIFARE_Key key;
    int status = 0;
    String rfid = "";
    String lastRfid = "";
    unsigned long lastRfidScan = 0;
public:
    Rfid(/* args */);
    ~Rfid();
    void begin();
    void scan();
    bool available();
    String getID();
};